datacache <- new.env(hash=TRUE, parent=emptyenv())

htratfocusrnug <- function() showQCData("htratfocusrnug", datacache)
htratfocusrnug_dbconn <- function() dbconn(datacache)
htratfocusrnug_dbfile <- function() dbfile(datacache)
htratfocusrnug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
htratfocusrnug_dbInfo <- function() dbInfo(datacache)

htratfocusrnugORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "htratfocusrnug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "htratfocusrnug", "chip htratfocusrnug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(htratfocusrnug_dbconn())
}

